<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Structure of the WinCC OA configuration file</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<body>
<h1>Note on the Structure of the WinCC OA configuration file </h1>
<p>The DIP API manager requires 1 entry for each API manager being executed.
  Namely:</p>
<dl>
<dt><strong>DipConfig</strong></dt>
<dd>Mandatory, this is the name of the DP used for storing the API Manager
publication and subscription data and for querying the DIP hierarchy.
Additionaly it contains the <B>publisher name</b> which must be unique for each
DIP API manager.</dd>
<h3>Example</h3>
<p>[dip]</p>
<p>[dip_1]<br>
  DipConfig = &quot;DIPConfig_1&quot;<br>
</p>
<h2>Other options</h2>
<p>Other options are available :
<dl>
<dt><strong>RedundantPublisherSleepTime</strong></dt>
<dd><i>Optional</i> (default value to 5000)<br>
In the context of a redundancy-enabled project, 
indicates how long the DIP Publisher is expected to wait before starting to publish,
when changing from PASSIVE to ACTIVE node in a redundant cluster. <br>
NOTE : <b>Cannot be inferior to 2000 milliseconds - which is the minimum value</b></dd>
</dl>
</p>
<p>
<b>Example (set the sleep time to 10 seconds)</b>
<pre>
[dip]
[dip_1]
  DipConfig = &quot;DIPConfig_1&quot;
  RedundantPublisherSleepTime = &quot;10000&quot;
</pre>
</p>
</body>
</html>
